package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficMonitor;
import com.lightinit.hsdatashow.entity.TrafficMonitorExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TrafficMonitorMapper {
    long countByExample(TrafficMonitorExample example);

    int deleteByExample(TrafficMonitorExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficMonitor record);

    int insertSelective(TrafficMonitor record);

    List<TrafficMonitor> selectByExample(TrafficMonitorExample example);

    TrafficMonitor selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficMonitor record, @Param("example") TrafficMonitorExample example);

    int updateByExample(@Param("record") TrafficMonitor record, @Param("example") TrafficMonitorExample example);

    int updateByPrimaryKeySelective(TrafficMonitor record);

    int updateByPrimaryKey(TrafficMonitor record);
}